StorageExtent (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.StorageExtent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface StorageExtent

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  DiskPartition, FCVolume, SCSIVolume, SolarisStorageVolume, StorageVolume, VeritasPlex, VeritasSubdisk, VeritasVMDisk, VeritasVolume

    public interface StorageExtent

extends LogicalDevice

Describes the characteristics of a storage space

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  STRGVOLM
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`BasedOnExtent[]` | `getBasedOn()` The relationship of this extent to underlying extents
`long` | `getBlockSize()` Blocksize in bytes
`long` | `getCapacity()` Deprecated. Deprecated, not CIM compliant
`ProtocolController` | `getController()`
`java.lang.String` | `getDeviceID()` The name of the device associated with this extent e.g.
`long` | `getFreeSpace()` Deprecated. Deprecated, not CIM compliant
`java.lang.String` | `getName()`
`long` | `getNumOfBlocks()` Number of blocks on the extent
`ComputerSystem` | `getParent()`
`RealizesExtent` | `getRealizedBy()` The relationship of this extent to physical media, if any
`boolean` | `getVirtual()`
`boolean` | `hasBasedOn()`
`boolean` | `hasBlockSize()`
`boolean` | `hasCapacity()`
`boolean` | `hasController()`
`boolean` | `hasDeviceID()`
`boolean` | `hasFreeSpace()`
`boolean` | `hasName()`
`boolean` | `hasNumOfBlocks()`
`boolean` | `hasParent()`
`boolean` | `hasRealizedBy()`
`boolean` | `hasVirtual()`
`void` | `setBasedOn(BasedOnExtent[] basedOn)`
`void` | `setBlockSize(long blocksize)`
`void` | `setCapacity(long l)`
`void` | `setController(ProtocolController x)`
`void` | `setDeviceID(java.lang.String deviceName)`
`void` | `setFreeSpace(long freeSpace)`
`void` | `setName(java.lang.String name)`
`void` | `setNumOfBlocks(long blocksize)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setRealizedBy(RealizesExtent realizes)`
`void` | `setVirtual(boolean x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getVirtual

    boolean getVirtual()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtual

    void setVirtual(boolean x)

### hasVirtual

    boolean hasVirtual()

### getController

    ProtocolController getController()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="true"

### setController

    void setController(ProtocolController x)

### hasController

    boolean hasController()

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getBlockSize

    long getBlockSize()
                      throws AttributeNotSetException

  Blocksize in bytes

  Throws:
    `AttributeNotSetException`

### setBlockSize

    void setBlockSize(long blocksize)

### hasBlockSize

    boolean hasBlockSize()

### getNumOfBlocks

    long getNumOfBlocks()
                        throws AttributeNotSetException

  Number of blocks on the extent

  Throws:
    `AttributeNotSetException`

### setNumOfBlocks

    void setNumOfBlocks(long blocksize)

### hasNumOfBlocks

    boolean hasNumOfBlocks()

### getDeviceID

    java.lang.String getDeviceID()
                                 throws AttributeNotSetException

  The name of the device associated with this extent e.g. /dev/sda1

  Throws:
    `AttributeNotSetException`

### setDeviceID

    void setDeviceID(java.lang.String deviceName)

### hasDeviceID

    boolean hasDeviceID()

### getBasedOn

    BasedOnExtent[] getBasedOn()
                               throws AttributeNotSetException

  The relationship of this extent to underlying extents

  Throws:
    `AttributeNotSetException`

### setBasedOn

    void setBasedOn(BasedOnExtent[] basedOn)

### hasBasedOn

    boolean hasBasedOn()

### getRealizedBy

    RealizesExtent getRealizedBy()
                                 throws AttributeNotSetException

  The relationship of this extent to physical media, if any

  Throws:
    `AttributeNotSetException`

### setRealizedBy

    void setRealizedBy(RealizesExtent realizes)

### hasRealizedBy

    boolean hasRealizedBy()

### getCapacity

    long getCapacity()
                     throws AttributeNotSetException

  Deprecated. Deprecated, not CIM compliant

  Throws:
    `AttributeNotSetException`

### setCapacity

    void setCapacity(long l)

### hasCapacity

    boolean hasCapacity()

### getFreeSpace

    long getFreeSpace()
                      throws AttributeNotSetException

  Deprecated. Deprecated, not CIM compliant

  collation.no-compare true

  Throws:
    `AttributeNotSetException`

### setFreeSpace

    void setFreeSpace(long freeSpace)

### hasFreeSpace

    boolean hasFreeSpace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD